using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class GravestoneController : StructureController
{
    public override LevelObjectFaction ObjectFaction { get { return LevelObjectFaction.Unknown; } }
    public override LevelObjectType ObjectType { get { return LevelObjectType.GraveStone; } }

    bool ActionActivated = false;

    public override bool PlayerAction(Necromancer player)
    {
        Debug.Log($"{this.name}: Player Action");
        if (!ActionActivated)
        {
            ActionActivated = true;

            //TODO: Trigger player animation for digging up grave

            //Increase player's "goo" count
            player.AddGoo(1);

        	//Destroy this gravestone
            Destroy(gameObject, 0.5f);
            return true;
        }
        return false;
    }
}
